Generator::valid
Context options and parameters
Generator
PHP Manual

# Generator::__wakeup

(PHP 5 >= 5.5.0)

Generator::__wakeup — Serialize callback

### Description

public void Generator::__wakeup ( void )

Throws an exception as generators can't be serialized.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

Generator::valid
Context options and parameters
Generator
PHP Manual